Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(18)

Issue 10231010: gdata: Apply correct mount label when mounting archives in GData (Closed)

Created:
6 years, 6 months ago by hshi
Modified:
4 months, 3 weeks ago
CC:
chromium-reviews, nkostylev+watch_chromium.org, mihaip+watch_chromium.org, Aaron Boodman, rginda+watch_chromium.org, stevenjb+watch_chromium.org, davemoore+watch_chromium.org
Base URL:
http://git.chromium.org/chromium/src.git@master
Visibility:
Public.

Description

gdata: Apply correct mount label when mounting archives in GData Ben recently added support in cros-disks for an optional mount label. (https://gerrit.chromium.org/gerrit/#change,21171) Make use of this option to display a user-friendly file name for the mounted archive, instead of the actual file name of the cache blob "<resource_id>.<md5>.mounted". BUG=chromium-os:28678 TEST=Tested mounting archives (both local and on gdata). Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=134632

Patch Set 1 #

Patch Set 2 : gdata: Apply correct mount label when mounting archives in GData #

Patch Set 3 : gdata: Apply correct mount label when mounting archives in GData #

Patch Set 4 : gdata: Apply correct mount label when mounting archives in GData #

Total comments: 12

Patch Set 5 : rebase #

Total comments: 2

Patch Set 6 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+83 lines, -91 lines) Patch
M chrome/browser/chromeos/disks/disk_mount_manager.h View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/chromeos/disks/disk_mount_manager.cc View 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/disks/mock_disk_mount_manager.h View 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/browser/chromeos/disks/mock_disk_mount_manager.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/chromeos/extensions/file_browser_event_router.cc View 1 2 3 4 3 chunks +8 lines, -20 lines 0 comments Download
M chrome/browser/chromeos/extensions/file_browser_private_api.cc View 1 2 3 4 5 4 chunks +13 lines, -17 lines 0 comments Download
M chrome/browser/resources/file_manager/js/file_manager.js View 1 2 3 4 5 6 chunks +10 lines, -7 lines 0 comments Download
M chrome/browser/resources/file_manager/js/mock_chrome.js View 1 2 3 4 5 3 chunks +4 lines, -3 lines 0 comments Download
M chrome/common/extensions/api/fileBrowserPrivate.json View 1 2 3 4 3 chunks +15 lines, -5 lines 0 comments Download
M chrome/test/data/extensions/api_test/filebrowser_mount/test.js View 1 2 3 4 2 chunks +6 lines, -32 lines 0 comments Download
M chromeos/dbus/cros_disks_client.h View 1 chunk +8 lines, -3 lines 0 comments Download
M chromeos/dbus/cros_disks_client.cc View 5 chunks +11 lines, -0 lines 0 comments Download
M chromeos/dbus/mock_cros_disks_client.h View 1 chunk +2 lines, -1 line 0 comments Download

Messages

Total messages: 14 (0 generated)
hshi
Please review Patch Set #4. In addition to Satoru and Toni, I have added Aaron ...
6 years, 6 months ago (2012-04-27 00:17:09 UTC) #1
tbarzic
http://codereview.chromium.org/10231010/diff/20013/chrome/browser/chromeos/extensions/file_browser_event_router.cc File chrome/browser/chromeos/extensions/file_browser_event_router.cc (right): http://codereview.chromium.org/10231010/diff/20013/chrome/browser/chromeos/extensions/file_browser_event_router.cc#newcode377 chrome/browser/chromeos/extensions/file_browser_event_router.cc:377: gdata::GDataFileSystem* file_system = This should probably be separate function. ...
6 years, 6 months ago (2012-04-27 05:44:21 UTC) #2
hshi
Please review Patch Set #5. I have renamed "sourceUrl" to "sourcePath" and made its semantics ...
6 years, 6 months ago (2012-04-27 18:48:56 UTC) #3
rginda
file_manager/* LGTM
6 years, 6 months ago (2012-04-27 22:09:30 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/hshi@google.com/10231010/29005
6 years, 6 months ago (2012-04-27 23:53:37 UTC) #5
commit-bot: I haz the power
Presubmit check for 10231010-29005 failed and returned exit status 1. Running presubmit commit checks ...
6 years, 6 months ago (2012-04-27 23:54:03 UTC) #6
hshi
+ Mike (owner) to review change in chrome/common/extensions/api/
6 years, 6 months ago (2012-04-28 00:04:38 UTC) #7
miket_OOO
On 2012/04/28 00:04:38, hshi wrote: > + Mike (owner) to review change in chrome/common/extensions/api/ chrome/common/extensions/api/fileBrowserPrivate.json ...
6 years, 6 months ago (2012-04-28 04:29:49 UTC) #8
hshi
Satoru and Toni, may I have your LGTM on this issue too? Thank you.
6 years, 6 months ago (2012-04-30 17:08:20 UTC) #9
satorux1
I defer to Toni. :)
6 years, 6 months ago (2012-04-30 17:10:35 UTC) #10
tbarzic
lgtm http://codereview.chromium.org/10231010/diff/29005/chrome/browser/chromeos/extensions/file_browser_private_api.cc File chrome/browser/chromeos/extensions/file_browser_private_api.cc (right): http://codereview.chromium.org/10231010/diff/29005/chrome/browser/chromeos/extensions/file_browser_private_api.cc#newcode1024 chrome/browser/chromeos/extensions/file_browser_private_api.cc:1024: mount_type)); send response before you try mounting
6 years, 6 months ago (2012-04-30 17:20:40 UTC) #11
hshi
http://codereview.chromium.org/10231010/diff/29005/chrome/browser/chromeos/extensions/file_browser_private_api.cc File chrome/browser/chromeos/extensions/file_browser_private_api.cc (right): http://codereview.chromium.org/10231010/diff/29005/chrome/browser/chromeos/extensions/file_browser_private_api.cc#newcode1024 chrome/browser/chromeos/extensions/file_browser_private_api.cc:1024: mount_type)); On 2012/04/30 17:20:41, tbarzic wrote: > send response ...
6 years, 6 months ago (2012-04-30 18:49:03 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/hshi@google.com/10231010/54018
6 years, 6 months ago (2012-04-30 21:49:18 UTC) #13
commit-bot: I haz the power
6 years, 6 months ago (2012-04-30 23:31:35 UTC) #14
Change committed as 134632

Powered by Google App Engine
This is Rietveld 408576698